/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/


/* Button Filter SVG */
.primary-button svg {
      width: 0;
      height: 0;
      position: absolute;
      display: none;
    }

    /* Main Button Styling */
.primary-button {
      position: relative;
        display: inline-block;
    overflow: visible;
      align-items: center;
      justify-content: center;
      margin-right: 40px;
      text-decoration: none;
      border: none;
      filter: url(#buttonFilter);
      cursor: pointer;
      border-radius:500px;
    font-weight: 500;
    font-size: 16px;
    text-align: center;
    text-transform: uppercase;
    font-family: "Outfit";
    }

.primary-button .primary-link {
   font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  font-style: inherit;
  line-height: inherit;
  letter-spacing: inherit;
    text-decoration: none;
    padding: 10px 30px;
    display:inline-block;
}


    /* Arrow Icon Styling */
.primary-button .icon-span {
      position: absolute;
	width: 42px !important;
	height:42px !important;
      top: 50%;
      left: 100%;
      transform: translateY(-50%);
            background: inherit;
      aspect-ratio: 1 / 1;
      height: 100%;
      display: grid;
      place-content: center;
      border-radius: 50%;
      transition: all 0.3s ease-in-out;
    }



.primary-button:hover .icon-span {
      left: calc(100% + 10px);
      transform: translateY(-50%) rotate(-45deg);
    }

.primary-button .arrow-icon {
      border: solid black;
      border-width: 0 2px 2px 0;
      display: inline-block;
      padding: 5px;
      transform: rotate(-45deg);
      -webkit-transform: rotate(-45deg);
    }



    @media (min-width: 768px) {
.primary-button .primary-link {
        padding: 10px 30px;
      }
      
      
      .primary-button .icon-span {

  	padding:15px;
  
    }        
      
      
      
    }


